### Class

# Cogl Bitmap

#### Description [src]

    final class Cogl.Bitmap : GObject.Object
    {
      /* No available fields */
    }

Functions for loading images

Cogl allows loading image data into memory as CoglBitmaps without loading them immediately into GPU textures.

#### Ancestors

- GObject

#### Constructors

###### cogl_bitmap_new_for_data

Creates a bitmap using some existing data. The data is not copied so the application must keep the buffer alive for the lifetime of the `CoglBitmap`. This can be used for example with `cogl_framebuffer_read_pixels_into_bitmap()` to read data directly into an application buffer with the specified rowstride.

###### cogl_bitmap_new_from_buffer

Wraps some image data that has been uploaded into a `CoglBuffer` as a `CoglBitmap`. The data is not copied in this process.

###### cogl_bitmap_new_with_size

Creates a new `CoglBitmap` with the given width, height and format. The initial contents of the bitmap are undefined.

#### Functions

###### cogl_bitmap_error_quark

No description available.

#### Instance methods

###### cogl_bitmap_get_buffer

No description available.

###### cogl_bitmap_get_format

No description available.

###### cogl_bitmap_get_height

No description available.

###### cogl_bitmap_get_rowstride

No description available.

###### cogl_bitmap_get_width

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CoglBitmapClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.